Bug 17852 - Multiple URLs (856) in list email are broken
Summary: Multiple URLs (856) in list email are broken
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Lists (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Caitlin Goodger
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-01-05 14:26 UTC by Katrin Fischer
Modified: 2017-03-15 11:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17852; Multiple URLs (856) in list email are broken. (1.22 KB, patch)
2017-01-17 21:52 UTC, Caitlin Goodger
Details | Diff | Splinter Review
Bug 17852 Follow up.Multiple URLs (856) in list email are broken (1.31 KB, patch)
2017-01-19 00:57 UTC, Caitlin Goodger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17852; Multiple URLs (856) in list email are broken. (1.29 KB, patch)
2017-01-24 19:16 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17852 Follow up.Multiple URLs (856) in list email are broken (1.37 KB, patch)
2017-01-24 19:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 17852; Multiple URLs (856) in list email are broken. (1.34 KB, patch)
2017-02-20 13:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17852 Follow up.Multiple URLs (856) in list email are broken (1.43 KB, patch)
2017-02-20 13:21 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-01-05 14:26:52 UTC
Same bug as bug 14614, but for list emails send from staff and intranet.

If there are multiple URLs (865 fields), the URLs get squashed together into 'one URL' in the email sent and are broken therefore.

Same fix as for the other bugs should work nicely here.
Comment 1 Caitlin Goodger 2017-01-17 21:52:52 UTC
Created attachment 59111 [details] [review]
Bug 17852; Multiple URLs (856) in list email are broken.

Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it.
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work
Comment 2 Katrin Fischer 2017-01-18 02:29:42 UTC
Hi Caitlin, this is good, but can you please take a look at the corresponding file for the OPAC (koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-sendshelf.tt)? It needs the same fix and I could then test and sign-off on both fixes together. Thx!
Comment 3 Caitlin Goodger 2017-01-19 00:57:29 UTC
Created attachment 59197 [details] [review]
Bug 17852 Follow up.Multiple URLs (856) in list email are broken

This is a follow-up to my previous patch. This fixes it on the OPAC and
the previous one was from the intranet
Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it from the OPAC
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work
Comment 4 Owen Leonard 2017-01-24 19:16:36 UTC
Created attachment 59527 [details] [review]
[SIGNED-OFF] Bug 17852; Multiple URLs (856) in list email are broken.

Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it.
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Owen Leonard 2017-01-24 19:16:43 UTC
Created attachment 59528 [details] [review]
[SIGNED-OFF] Bug 17852 Follow up.Multiple URLs (856) in list email are broken

This is a follow-up to my previous patch. This fixes it on the OPAC and
the previous one was from the intranet
Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it from the OPAC
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Jonathan Druart 2017-02-20 13:21:51 UTC
Created attachment 60462 [details] [review]
Bug 17852; Multiple URLs (856) in list email are broken.

Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it.
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2017-02-20 13:21:56 UTC
Created attachment 60463 [details] [review]
Bug 17852 Follow up.Multiple URLs (856) in list email are broken

This is a follow-up to my previous patch. This fixes it on the OPAC and
the previous one was from the intranet
Test Plan
1: Add multiple urls to a biblographic record
2: Add the biblographic record to a list and then email it from the OPAC
3: See that the links are broken and have been merged into one.
4: Apply patch
5: Send the list again and see that the links work

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Kyle M Hall 2017-02-21 19:56:00 UTC
Pushed to master for 17.05, thanks Caitlin!
Comment 9 Katrin Fischer 2017-02-21 21:05:45 UTC
These patches have been pushed to 16.11.x and will be in 16.11.04.

Thx Caitlin!
Comment 10 Katrin Fischer 2017-02-21 21:43:33 UTC
Bug, not enhancement :)
Comment 11 Mason James 2017-02-23 20:38:49 UTC
Pushed to 16.05.x, for 16.05.10 release
Comment 12 Julian Maurice 2017-03-15 11:16:11 UTC
Pushed to 3.22.x, will be in 3.22.18